mnoGoSearch 3.3.4 reference manual: Full-featured search engine software
Prev |  | Next

# UserScoreFactor

## Name

UserScoreFactor -- set the effect of "UserScore" command

search.htm

## Synopsis

UserScoreFactor {number}

##

This command is to be used with a number in the range 0..255, in combination with a "UserScore" command, and it sets the effect of user defined scores when they are mixed with usual scores calculated by mnoGoSearch. The default value is 0, which means the user defined scores are not taken into account and the final score values only depend on the internal scores as calculated by mnoGoSearch. 255 means maximum effect of user defined values.

## Examples

    UserScore list1 "SELECT id, score FROM mytable WHERE url.rec_id=mytable.id"
    UserScoreFactor 10

## See also

UserScore MinCoordFactor NumDistinctWordFactor NumWordFactor DateFactor

Prev | Home | Next
UserScore | Up | VarDir